"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CSP_DIRECTIVE_NAMES = exports.CSP_REPORT_DIRECTIVE_NAMES = exports.CSP_OPTIONAL_DIRECTIVE_NAMES = exports.CSP_DEVELOPMENT_DIRECTIVES = exports.CSP_DEVELOPMENT_DIRECTIVE_NAMES = exports.CSP_REQUIRED_DIRECTIVE_DEFAULTS = exports.CSP_REQUIRED_DIRECTIVE_NAMES = void 0;
exports.CSP_REQUIRED_DIRECTIVE_NAMES = [
    'base-uri',
    'child-src',
    'connect-src',
    'default-src',
    'font-src',
    'form-action',
    'frame-ancestors',
    'frame-src',
    'img-src',
    'manifest-src',
    'media-src',
    'object-src',
    'prefetch-src',
    'script-src',
    'style-src',
    'worker-src',
];
exports.CSP_REQUIRED_DIRECTIVE_DEFAULTS = {
    'base-uri': "'none'",
    'child-src': "'none'",
    'connect-src': "'self'",
    'default-src': "'self'",
    'font-src': "'self'",
    'form-action': "'self'",
    'frame-ancestors': "'none'",
    'frame-src': "'none'",
    'img-src': "'self'",
    'manifest-src': "'self'",
    'media-src': "'self'",
    'object-src': "'none'",
    'prefetch-src': "'self'",
    'script-src': "'self'",
    'style-src': "'self'",
    'worker-src': "'self'",
};
exports.CSP_DEVELOPMENT_DIRECTIVE_NAMES = [
    'connect-src',
    'script-src',
    'style-src',
];
exports.CSP_DEVELOPMENT_DIRECTIVES = {
    'connect-src': 'webpack://*',
    'script-src': "'unsafe-eval'",
    'style-src': "'unsafe-inline'",
};
exports.CSP_OPTIONAL_DIRECTIVE_NAMES = [
    'block-all-mixed-content',
    'plugin-types',
    'navigate-to',
    'require-sri-for',
    'require-trusted-types-for',
    'sandbox',
    'script-src-attr',
    'script-src-elem',
    'style-src-attr',
    'style-src-elem',
    'trusted-types',
    'upgrade-insecure-requests',
];
exports.CSP_REPORT_DIRECTIVE_NAMES = ['report-to', 'report-uri'];
exports.CSP_DIRECTIVE_NAMES = [
    ...exports.CSP_REQUIRED_DIRECTIVE_NAMES,
    ...exports.CSP_OPTIONAL_DIRECTIVE_NAMES,
    ...exports.CSP_REPORT_DIRECTIVE_NAMES,
];
const CSP_OPTION_NAMES = ['mergeDefaultDirectives', 'reportOnly'];
