export type CSPDirectiveConfigValue = false | string | string[];
export declare const CSP_REQUIRED_DIRECTIVE_NAMES: readonly ["base-uri", "child-src", "connect-src", "default-src", "font-src", "form-action", "frame-ancestors", "frame-src", "img-src", "manifest-src", "media-src", "object-src", "prefetch-src", "script-src", "style-src", "worker-src"];
type CSPRequiredDirectiveNamesTuple = typeof CSP_REQUIRED_DIRECTIVE_NAMES;
type CSPRequiredDirectiveNames = CSPRequiredDirectiveNamesTuple[number];
type CSPRequiredDirectivesConfig = {
    [Name in CSPRequiredDirectiveNames]?: CSPDirectiveConfigValue;
};
type CSPRequiredDirectivesDefaults = {
    [Name in CSPRequiredDirectiveNames]: string;
};
export declare const CSP_REQUIRED_DIRECTIVE_DEFAULTS: Required<CSPRequiredDirectivesDefaults>;
export declare const CSP_DEVELOPMENT_DIRECTIVE_NAMES: readonly ["connect-src", "script-src", "style-src"];
type CSPDevelopmentDirectiveNamesTuple = typeof CSP_DEVELOPMENT_DIRECTIVE_NAMES;
type CSPDevelopmentDirectiveNames = CSPDevelopmentDirectiveNamesTuple[number];
type CSPDevelopmentDirectivesDefaults = {
    [Name in CSPDevelopmentDirectiveNames]: string;
};
export declare const CSP_DEVELOPMENT_DIRECTIVES: CSPDevelopmentDirectivesDefaults;
export declare const CSP_OPTIONAL_DIRECTIVE_NAMES: readonly ["block-all-mixed-content", "plugin-types", "navigate-to", "require-sri-for", "require-trusted-types-for", "sandbox", "script-src-attr", "script-src-elem", "style-src-attr", "style-src-elem", "trusted-types", "upgrade-insecure-requests"];
type CSPOptionalDirectiveNamesTuple = typeof CSP_OPTIONAL_DIRECTIVE_NAMES;
export type CSPOptionalDirectiveNames = CSPOptionalDirectiveNamesTuple[number];
type CSPOptionalDirectivesConfig = {
    [Name in CSPOptionalDirectiveNames]?: CSPDirectiveConfigValue;
};
export declare const CSP_REPORT_DIRECTIVE_NAMES: readonly ["report-to", "report-uri"];
type CSPReportDirectiveNamesTuple = typeof CSP_REPORT_DIRECTIVE_NAMES;
export type CSPReportDirectiveNames = CSPReportDirectiveNamesTuple[number];
type CSPReportDirectivesConfig = {
    [Name in CSPReportDirectiveNames]?: CSPDirectiveConfigValue;
};
export declare const CSP_DIRECTIVE_NAMES: ("base-uri" | "child-src" | "connect-src" | "default-src" | "font-src" | "form-action" | "frame-ancestors" | "frame-src" | "img-src" | "manifest-src" | "media-src" | "object-src" | "prefetch-src" | "script-src" | "style-src" | "worker-src" | "block-all-mixed-content" | "plugin-types" | "navigate-to" | "require-sri-for" | "require-trusted-types-for" | "sandbox" | "script-src-attr" | "script-src-elem" | "style-src-attr" | "style-src-elem" | "trusted-types" | "upgrade-insecure-requests" | "report-to" | "report-uri")[];
export type CSPDirectivesConfig = CSPRequiredDirectivesConfig & CSPOptionalDirectivesConfig & CSPReportDirectivesConfig;
declare const CSP_OPTION_NAMES: readonly ["mergeDefaultDirectives", "reportOnly"];
type CSPOptionNamesTuple = typeof CSP_OPTION_NAMES;
type CSPOptionNames = CSPOptionNamesTuple[number];
type CSPOptionsConfig = {
    [Name in CSPOptionNames]?: Boolean;
};
export type CSPConfig = CSPDirectivesConfig & CSPOptionsConfig;
export {};
